<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';
require '../../modelo/reclamo_devolucion.php';

$response = array();

if (!isset($_POST['id_reclamo_devolucion'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_reclamo_devolucion = $_POST['id_reclamo_devolucion'];

$reclamo_devolucion = ReclamoDevolucion::mdlGetReclamoDevolucion($id_reclamo_devolucion);

if (!$reclamo_devolucion) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró el reclamo de devolución';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $reclamo_devolucion;

echo json_encode($response);